Name:		qmidictl
Version:	0.9.0
Release:	%mkrel 1
Summary:	A MIDI Remote Controller via UDP/IP Multicast
License:	GPLv2+
Group:		Sound/Utilities
URL:		https://qmidictl.sourceforge.io/
Source0:	http://downloads.sourceforge.net/qmidictl/%{name}-%{version}.tar.gz
Patch0:		qmidictl-0.6.2-mga-fix-install-path.patch
BuildRequires:	desktop-file-utils
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Widgets)

%description
QmidiCtl is a MIDI remote controller application that sends MIDI
data over the network, using UDP/IP multicast.

%prep
%setup -q
%autopatch -p1

%build
%configure \
	--enable-debug

%make_build

%install
%make_install

#menu
desktop-file-install \
  --remove-key="X-Osso-Type" \
  --remove-key="Version" \
  --remove-key="Encoding" \
  --add-category="X-Mageia-CrossDesktop" \
  --dir %{buildroot}%{_datadir}/applications \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%files
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/metainfo/%{name}.appdata.xml
%{_iconsdir}/*/*/*/%{name}.png
%{_iconsdir}/*/*/*/%{name}.svg
%{_mandir}/man1/%{name}*.1*
%lang(fr) %{_mandir}/fr/man1/%{name}*.1*


%changelog
* Sat Dec 19 2020 daviddavid <daviddavid> 0.9.0-1.mga8
+ Revision: 1661134
- new version: 0.9.0

* Thu Dec 17 2020 umeabot <umeabot> 0.6.3-2.mga8
+ Revision: 1659496
- Rebuild for new Qt5

* Sat Aug 01 2020 daviddavid <daviddavid> 0.6.3-1.mga8
+ Revision: 1610114
- new version: 0.6.3

* Wed Mar 25 2020 daviddavid <daviddavid> 0.6.2-1.mga8
+ Revision: 1559665
- new version: 0.6.2

* Tue Feb 18 2020 umeabot <umeabot> 0.6.1-2.mga8
+ Revision: 1541322
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Dec 22 2019 daviddavid <daviddavid> 0.6.1-1.mga8
+ Revision: 1469566
- new version: 0.6.1

* Thu Oct 17 2019 daviddavid <daviddavid> 0.6.0-1.mga8
+ Revision: 1454274
- new version: 0.6.0

* Fri Jul 12 2019 daviddavid <daviddavid> 0.5.5-1.mga8
+ Revision: 1420788
- new version: 0.5.5

* Thu Apr 11 2019 daviddavid <daviddavid> 0.5.4-1.mga7
+ Revision: 1388309
- new version: 0.5.4

* Mon Apr 01 2019 umeabot <umeabot> 0.5.1-3.mga7
+ Revision: 1384227
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.5.1-2.mga7
+ Revision: 1300662
- Mageia 7 Mass Rebuild

* Mon Jun 11 2018 daviddavid <daviddavid> 0.5.1-1.mga7
+ Revision: 1236324
- initial package qmidictl

